Please select Into the mobile phone version | Continue to access the computer ver.
DJI go App no more for iPhone 5 ?
9822 27 2016-11-18 03:53:15
Uploading and Loding Picture ...(0/1)
o(^-^)o
Satstream
lvl.4
Flight distance : 59230
Germany
Offline

The latest update for DJI go is no longer compatible with iPhone 5! Why are the DJI's customers pushed so hard? Incredible..
2016-11-18 03:53:15
Use props
DJI Natalia
Administrator
Hong Kong
Offline

Satstream, since iPhone 5 is not in DJI recommended devices list, we could not guarantee it's performance.
It's recommended to use a mobile device which is compatible with DJI GO APP.
IOS: iPhone 5s, iPhone 6, iPhone 6 Plus, iPhone 6s, iPhone 6s Plus, iPod touch 6, iPad Pro, iPad Air, iPad Air Wi-Fi + Cellular, iPad mini 2, iPad mini 2 Wi-Fi + Cellular, iPad Air 2, iPad Air 2 Wi-Fi + Cellular, iPad mini 3, iPad mini 3 Wi-Fi + Cellular, iPad mini 4, and iPad mini 4 Wi-Fi + Cellular. This app is optimized for iPhone 5s, iPhone 6, iPhone 6 Plus, iPhone 6s and iPhone 6s Plus.

Android: Samsung tabs 705c, Samsung S6, Samsung S5, Samsung NOTE4, Samsung NOTE3, Google Nexus 9, Google Nexus 7 II, Ascend Mate7, Huawei Mate 8, Nubia Z7 mini, SONY Xperia Z3, MI 3, MI PAD
2016-11-18 04:04:08
Use props
Satstream
lvl.4
Flight distance : 59230
Germany
Offline

DJI Natalia Posted at 2016-11-18 13:04
Satstream, since iPhone 5 is not in DJI recommended devices list, we could not guarantee it's perfor ...

And what about user Pmarten8? He has an iPhone 5S and it does not work. He posted it under discussion!
2016-11-18 05:04:33
Use props
Hummingbird.UAV
Captain
Flight distance : 1515158
Canada
Offline

DJI Natalia Posted at 2016-11-18 05:04
Satstream, since iPhone 5 is not in DJI recommended devices list, we could not guarantee it's perfor ...

So the previous version of the Go App worked on an iPhone 5.  What did DJI change that now makes it not working on iPhone 5 or is it just a DJI/Apple way to get people to buy new devices.
2016-11-18 12:50:14
Use props
DJI Natalia
Administrator
Hong Kong
Offline

Satstream Posted at 2016-11-18 21:04
And what about user Pmarten8? He has an iPhone 5S and it does not work. He posted it under discuss ...

I've reported the case for iPhone 5S, and will get it fixed in the next version.
2016-11-18 20:28:10
Use props
george_007
lvl.4
Flight distance : 50527
Sweden
Offline

DJI Natalia Posted at 2016-11-19 05:28
I've reported the case for iPhone 5S, and will get it fixed in the next version.

Please do the same for IPad 4.
2016-11-19 02:04:13
Use props
TV-PressPass
lvl.1
Canada
Offline

Honestly I can't believe this sort of patching out of compatibility is treated as okay. It's absolutely ridiculous. My Phantom 3 should be grounded right now, as I uninstalled a previous version of the app in late October, only to find it was no longer compatible with my iPhone 5 when I went to reinstall this evening.

By a stroke of luck I still have an older version of the DJI GO app running on an iPad 2 that allows me to update my unit's firmware and access the camera controls. But that device is even older than the iPhone 5 and I have no doubt that I could not install the latest version of the app on it now.

I rely on my drone as part of my small business income, and it abosolutely enrages me that with no change to hardware my software connection could be rendered unusable at the drop of a hat. If I could roll back to earlier versions of the app, I would. As of now I'm going to have to juggle devices using a much larger iPad 2 with the remote control.

Poor show DJI. I want to jump to a Phantom 4 Pro next year, but not if it's going to mean update issues like this.
2016-11-26 19:03:37
Use props
DJI-Jamie
DJI team
Flight distance : 34261
United States
Offline

george_007 Posted at 2016-11-19 18:04
Please do the same for IPad 4.

The iPad 4 is not a recommended device, we would not be able to guarantee its compatibility.
2016-11-26 23:32:17
Use props
DJI-Jamie
DJI team
Flight distance : 34261
United States
Offline

TV-PressPass Posted at 2016-11-27 11:03
Honestly I can't believe this sort of patching out of compatibility is treated as okay. It's absolut ...

As the Go app continues to receive updates, it requires more processing power in order to run. Older versions of the Go app may have been more forgiving to older hardware, but in general iOS devices need to have an A7 processor or higher in order to run efficiently.
2016-11-26 23:37:25
Use props
fans59d020fe
lvl.2
Flight distance : 124026
  • >>>
United States
Offline

iPhone 5c worked prior to the last update. It is completely unacceptable to make a device no longer supported when it worked fine in the previous app version.
DJI Please hire better IOS developers.  I don't see this issue arising on Android devices. Luckily I own both in the future I will likely stop purchasing IOS devices if this is how DJI plans to handle updates.
2016-11-29 07:33:24
Use props
Hummingbird.UAV
Captain
Flight distance : 1515158
Canada
Offline

DJI-Jamie Posted at 2016-11-27 00:37
As the Go app continues to receive updates, it requires more processing power in order to run. Old ...

Maybe DJI should have more than one piloting app in both iOS and Android.  You keep adding more and more hardware to the mix all controlled from the same app which then has to have more code to work with all the hardware, which requires more processing power from the control device.
I expect most recent updates to the Go app are not to fix bugs but to add more hardware support.
2016-11-29 09:34:02
Use props
fans3a89f5aa
lvl.4
Flight distance : 1315998
  • >>>
United Kingdom
Offline

I used my old iPhone 5 for long time with only my Osmo it worked perfect
for the Osmo, now I cant even use it for that :-(
2016-11-29 12:31:08
Use props
DJI-Jamie
DJI team
Flight distance : 34261
United States
Offline

Hummingbird.UAV Posted at 2016-11-30 01:34
Maybe DJI should have more than one piloting app in both iOS and Android.  You keep adding more an ...

It's been a mixture of both fixing and adding with most of the updates. DJI used to have separate apps per drone series, but customers began provided feedback that there were too many apps to juggle with those with multiple products which resulted in the multi platform Go app. DJI is starting to separate apps again in their own way with the release of teh GO 4.0 app, which only supports the Inspire 2, Mavic and the P4 Pro/+ at this time. This should help with processor taxation in the future.
2016-11-29 13:24:17
Use props
george_007
lvl.4
Flight distance : 50527
Sweden
Offline

Today all of a sudden I could install 3.1.1 on my iPad 4. Has DJI changed their policy?
2016-12-5 23:46:17
Use props
Hummingbird.UAV
Captain
Flight distance : 1515158
Canada
Offline

DJI Go version 3.1.1 has now installed on my iPhone 5. Thanks DJI software team.
2016-12-6 14:50:11
Use props
Alanthg
lvl.1
United States
Offline

DJI Natalia Posted at 2016-11-18 04:04
Satstream, since iPhone 5 is not in DJI recommended devices list, we could not guarantee it's performance.
It's recommended to use a mobile device which is compatible with DJI GO APP.
IOS: iPhone 5s, iPhone 6, iPhone 6 Plus, iPhone 6s, iPhone 6s Plus, iPod touch 6, iPad Pro, iPad Air, iPad Air Wi-Fi + Cellular, iPad mini 2, iPad mini 2 Wi-Fi + Cellular, iPad Air 2, iPad Air 2 Wi-Fi + Cellular, iPad mini 3, iPad mini 3 Wi-Fi + Cellular, iPad mini 4, and iPad mini 4 Wi-Fi + Cellular. This app is optimized for iPhone 5s, iPhone 6, iPhone 6 Plus, iPhone 6s and iPhone 6s Plus.

I have an iPad 4th gen running 10.2.1 OS I have been running the Phantom 4 on it since new last August  this week i see the update of software to 4.0 which when I try to install say is incompatible with my iPad REALLY how could you do that?  I pads must be the most common viewing device by far  Are you in league with Apple???  why cant I still use the older version  of what 2 weeks ago?
2017-3-29 01:04:53
Use props
fans1ce7791b
lvl.1
Canada
Offline

where can I get the dji go version 3.1.1 for my i phone 5? The app store only has 4.0

2017-4-13 20:03:33
Use props
fans1ce7791b
lvl.1
Canada
Offline

Hummingbird.UAV Posted at 2016-12-6 14:50
DJI Go version 3.1.1 has now installed on my iPhone 5.  Thanks DJI software team.

How did you get  version 3.1.1
2017-4-13 20:04:06
Use props
Hummingbird.UAV
Captain
Flight distance : 1515158
Canada
Offline

fans1ce7791b Posted at 2017-4-13 20:04
How did you get  version 3.1.1

Got is a few months ago, now its up to version 3.1.9.  This version does not work with Mavic or Phantom 4.  Last version to do this was 3.1.5
2017-4-14 12:22:29
Use props
hyprfrco
lvl.2
Flight distance : 3093
Chile
Offline

DJI Logic:

iPhone 5 is not in the compatible list, hence this device cannot work with DJI GO......
DJI GO cannot be installed in an iPhone 5, hence iPhone 5 is not in the compatible list.......

Nice job DJI
2017-5-16 22:02:34
Use props
Aardvark
Captain
Flight distance : 83138
United Kingdom
Offline

One potential solution might be if DJI provided access to all previous versions, but to only offer support. Warranty repair work only for latest release, and where aircraft less than 12 months old ?

Having a limited list is understandable from a business point of view otherwise it would be unlimited, and that's disregarding older devices that may not be fit for purpose now.
2017-5-17 00:04:08
Use props
Satstream
lvl.4
Flight distance : 59230
Germany
Offline

I use the iPhone 5 no longer, for my iPad Air 2 for the control of the P4. There is, however, already a version of the Go app which also works on the 5er. (Europe)
2017-5-17 03:37:21
Use props
fans47c0bb7e
lvl.1
Brazil
Offline

Thank you DJI! Now I have to buy another iPhone! And guess what? I LIVE IN BRAZIL AND AN IPHONE 6 HERE COSTS U$900!!!
2017-6-10 10:23:45
Use props
djiuser_dBCMX3K
lvl.1
Australia
Offline

Got my unit home, all excited for my first flight, and I find that none of my devices are compatible with the app.
I wish the guy at the store who sold it to me had picked that up when I showed him what I planned on using with it.

I see some people on here have been able to download version 3 which I'm trying now.
Are there any warnings or problems with warranty when using this older version?

2017-7-3 01:11:27
Use props
exeterdown
lvl.1
Australia
Offline

v3 doesn't work.
Online Support weren't able to help me download previous versions like the earlier posts I saw.
I'd like to be able to edit or delete my previous post, but can't.

Have to go buy a new phone.
2017-7-3 02:39:21
Use props
Mattobie82
lvl.1
United Kingdom
Offline

So i've just gone from Android to IOS iPhone 5. I'm now unable to fly my drone which I have literally just bought. This is a poor show from DJI! Please tell me the difference between the 5 and the 5c
2017-9-18 02:32:49
Use props
Mattobie82
lvl.1
United Kingdom
Offline

Mattobie82 Posted at 2017-9-18 02:32
So i've just gone from Android to IOS iPhone 5. I'm now unable to fly my drone which I have literally just bought. This is a poor show from DJI! Please tell me the difference between the 5 and the 5c

Should have said 5s
2017-9-18 02:33:50
Use props
kc9eci
lvl.1
United States
Offline

I was thinking about ordering a Mavic until I got to checking out the app.  I still use a iphone 5, have no desire to upgrade at this point.  Guess I'll have to spend my money elsewhere if I want to get a new quadcopter.  
2017-11-4 11:07:53
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules